package kpi_c_report

import (
	"be.ems/src/framework/middleware"
	"github.com/gin-gonic/gin"
)

// Register Routes for kpi_c_report
func Register(r *gin.RouterGroup) {

	pmKPIC := r.Group("/kpiC")
	{
		var k *KpiCReport
		pmKPIC.GET("/report",
			middleware.PreAuthorize(nil),
			k.GetReport2FE,
		)
		pmKPIC.GET("/report/list",
			middleware.PreAuthorize(nil),
			k.Get,
		)
		pmKPIC.GET("/report/totalList",
			middleware.PreAuthorize(nil),
			k.Total,
		)
		pmKPIC.GET("/report/total",
			middleware.PreAuthorize(nil),
			k.Total,
		)
		pmKPIC.POST("/report",
			middleware.PreAuthorize(nil),
			k.Post,
		)
		pmKPIC.PUT("/report/:id",
			middleware.PreAuthorize(nil),
			k.Put,
		)
		pmKPIC.DELETE("/report/:id",
			middleware.PreAuthorize(nil),
			k.Delete,
		)
	}
}
